<?php
  function inputformvisu($ligne, $NoGroupe, $NoTable)
  {
    $resultat2 = Division::getDivisionByNoFormulaire($NoTable, $NoTable);
    foreach($resultat2 as $ligne2)
    {
      echo "<input type='radio' name='divisionF$NoTable' value='".$ligne2['NoVisu']."'";
      if ($ligne2['NoVisu']==$ligne["DefEdit$NoTable"]) // Valeur par défaut
      {
        echo " CHECKED='CHECKED'";
      }
      echo "><input type='checkbox' name='divisionF".$NoTable."V".$ligne2['NoVisu']."' value='1'";
      $resultat3 = GroupeDivision::getByGroupeAndTableAndVisu($NoGroupe, 1, $ligne2['NoVisu']);
      if($ligne3=$resultat3[0]) // Autre visu
      {
        echo " CHECKED='CHECKED'";
      }
      echo ">".$ligne2["NomVisu"]."<BR />";
    }
  }
  function getformvisu($NoGroupe, $NoTable)
  {
    $default=0;
    if (isset($GLOBALS["divisionF".$NoTable]))
    {
      $default=$GLOBALS["divisionF".$NoTable];
    }
    $requette="UPDATE groupeusers SET DefEdit$NoTable=$default WHERE NoGroupeUsers=$NoGroupe";
    echo $requette."<br>";
    Connection::executeRawQuery($requette);
    $requette="DELETE FROM groupedivision WHERE NoGroupe=$NoGroupe AND NoTable=$NoTable";
    Connection::executeRawQuery($requette);
    $requette = "SELECT * FROM division WHERE NoFormulaire=$NoTable AND NoTable=$NoTable ORDER BY NoVisu";
    $resultat = Division::getDivisionByNoFormulaireAndNoTable($NoTable ,$NoTable );
    foreach($resultat as $ligne)
    {
      if (isset($GLOBALS["divisionF$NoTable"."V".$ligne["NoVisu"]]))
      {
        $requette2 = "INSERT INTO groupedivision (NoGroupe, NoTable, NoVisu) VALUES ($NoGroupe, $NoTable, ".$ligne['NoVisu'].")";
        Connection::executeRawQuery($requette2);
      }
    }
  }
  function inputformrech($ligne, $NoGroupe, $NoTable)
  {
    $resultat2 = DivisionRecherche::getDivisionRechercheByNoFormulaireAndNoTable($NoTable, $NoTable);
    foreach($resultat2 as $ligne2)
    {
      echo "<input type='radio' name='divisionrechercheF$NoTable' value='".$ligne2['NoVisu']."'";
      if ($ligne2['NoVisu']==$ligne["DefRech$NoTable"]) // Valeur par défaut
      {
        echo " CHECKED='CHECKED'";
      }
      echo "><input type='checkbox' name='divisionrechercheF".$NoTable."V".$ligne2['NoVisu']."' value='1'";
      if($ligne3=GroupeDivisionRecherche::getByGroupeAndTableAndVisu($NoGroupe, 1, $ligne2['NoVisu']))
      {
        echo " CHECKED='CHECKED'";
      }
      echo ">".$ligne2["NomVisu"]."<BR />";
    }
  }
  function getformrech($NoGroupe, $NoTable)
  {
    $default=0;
    if (isset($GLOBALS["divisionrechercheF$NoTable"]))
    {
      $default=$GLOBALS["divisionrechercheF$NoTable"];
    }
    $requette="UPDATE groupeusers SET DefRech$NoTable=$default WHERE NoGroupeUsers=$NoGroupe";
    Connection::executeRawQuery($requette);
    $requette="DELETE FROM groupedivisionrecherche WHERE NoGroupe=$NoGroupe AND NoTable=$NoTable";
    Connection::executeRawQuery($requette);
    $requette = "SELECT * FROM divisionrecherche WHERE NoFormulaire=$NoTable AND NoTable=$NoTable ORDER BY NoVisu";
    $resultat = DivisionRecherche::getDivisionRechercheByNoFormulaireAndNoTable($NoTable, $NoTable);
    foreach($resultat as $ligne)
    {
      if (isset($GLOBALS["divisionrechercheF$NoTable"."V".$ligne["NoVisu"]]))
      {
        $requette2 = "INSERT INTO groupedivisionrecherche (NoGroupe, NoTable, NoVisu) VALUES ($NoGroupe, $NoTable, ".$ligne['NoVisu'].")";
        Connection::executeRawQuery($requette2);
      }
    }
  }
  switch($Etape)
  {
    case 0:
      if ($resultat = GroupeUsers::getAll())
      {
        echo "  <form METHOD='POST'>\n";
        echo "   <input type='hidden' name='Type' value=$Type>\n";
        echo "   <input type='hidden' name='Sous_Type' value=$Sous_Type>\n";
        echo "   <input type='hidden' name='Etape' value='1'>\n";
        echo "   <select name='nogroupeusers'>\n";
        foreach($resultat as $ligne)
        {
          echo "    <option value='" . $ligne['NoGroupeUsers'] . "'>" . $ligne['Description'] . "</option>\n";
        }
        echo "   </select><BR>\n";
        echo "   <button type='submit'>Suite</button>\n";
        echo "  </form>\n";
      }
    break;
    case 1:
      if ($resultat = GroupeUsers::getByNoGroupUser($nogroupeusers))
      {
        echo "  <form METHOD='POST'>\n";
        echo "   <input type='hidden' name='Type' value=$Type>\n";
        echo "   <input type='hidden' name='Sous_Type' value=$Sous_Type>\n";
        echo "   <input type='hidden' name='Etape' value='2'>\n";
        echo "   <input type='hidden' name='nogroupeusers' value='$nogroupeusers'>\n";
        echo "<TABLE border=1>\n";
        if($ligne = $resultat)
        {
          echo "   <TR><TH>Nom groupe</TH><TD><input type='texte' name='Nom' value='" . $ligne['Description'] . "'></TD></TR>\n";
          echo "   <TR><TH>Admin</TH><TD><input type='checkbox' name='Admin' value='1'";
          if ($ligne['Admin']==1)
          {
            echo " CHECKED";
          }
          echo "></TD></TR>\n";
          echo "   <TR><TH>Encaissement banque</TH><TD><input type='checkbox' name='Banque' value='1'";
          if ($ligne['Banque']==1)
          {
            echo " CHECKED";
          }
          echo "></TD></TR>\n";
          $resultat2 = GroupeFonction::getAll();
          foreach($resultat2 as $ligne2)
          {
            echo "   <TR><TH>".$ligne2['Description']."</TH><TD>\n";
            $resultat3 = Fonction::getByNoGroup($ligne2['NoGroupe']);
            foreach($resultat3 as $ligne3)
            {
              echo "<input type='checkbox' name='fonctionG".$ligne3['NoGroupe']."F".$ligne3['NoFonction']."' value='1'";
              if(GroupeUsersFonction::getByNoGroupUserAndNoGroupAndNoFonction($nogroupeusers, $ligne3['NoGroupe'], $ligne3['NoFonction']))
              {
                echo " CHECKED";
              }
              echo ">".$ligne3['Description']."<BR />\n";
            }
            echo "</TD></TR>\n";
          }
          echo "   <TR><TH>Edition articles</TH><TD>";
          inputformvisu($ligne, $nogroupeusers, 1);
          echo "</TD></TR>\n";
          echo "   <TR><TH>Recherche articles</TH><TD>";
          inputformrech($ligne, $nogroupeusers, 1);
/*          $requette = "SELECT * FROM divisionrecherche WHERE NoFormulaire=1 AND NoTable=1 ORDER BY NoVisu";
          $resultat = mysql_query($requette);
          foreach($resultat as $ligne)
          {
            echo "<input type='radio' name='divisionrechercheF1' value='".$ligne['NoVisu']."'><input type='checkbox' name='divisionrechercheF1V".$ligne['NoVisu']."' value='1'>".$ligne["NomVisu"]."<BR />";
          }*/
          echo "</TD></TR>\n";
          echo "   <TR><TH>Edition vehicules</TH><TD>";
          inputformvisu($ligne, $nogroupeusers, 2);
          echo "</TD></TR>\n";
          echo "   <TR><TH>Recherche vehicules</TH><TD>";
          inputformrech($ligne, $nogroupeusers, 2);
          echo "</TD></TR>\n";
          echo "   <TR><TH>Edition clients</TH><TD>";
          inputformvisu($ligne, $nogroupeusers, 3);
          echo "</TD></TR>\n";
          echo "   <TR><TH>Recherche clients</TH><TD>";
          inputformrech($ligne, $nogroupeusers, 3);
          echo "</TD></TR>\n";
          echo "   <TR><TH>Recherche commandes</TH><TD>";
          inputformrech($ligne, $nogroupeusers, 4);
          echo "</TD></TR>\n";
          echo "   <TR><TH>Recherche cash</TH><TD>";
          inputformrech($ligne, $nogroupeusers, 6);
          echo "</TD></TR>\n";
          echo "   <TR><TH>Recherche atelier</TH><TD>";
          inputformrech($ligne, $nogroupeusers, 7);
          echo "</TD></TR>\n";
        }
        echo "</TABLE>\n";
        echo "   <button type='submit'>Modifier</button>\n";
        echo "  </form>\n";
      }
    break;
    case 2:
      $ici_admin=0;
      $ici_banque=0;
      if (isset($Admin))
        if ($Admin==1)
          $ici_admin=1;
      if (isset($Banque))
        if ($Banque==1)
          $ici_banque=1;
      $requette = "UPDATE groupeusers SET Description = '$Nom', Admin = $ici_admin, Banque = $ici_banque WHERE NoGroupeUsers = $nogroupeusers";
      Connection::executeRawQuery($requette);
      $requette = "SELECT * FROM groupefonction";
      $resultat = GroupeFonction::getAll();
      foreach($resultat as $ligne)
      {
        $requette2 = "SELECT * FROM fonction WHERE NoGroupe = ".$ligne['NoGroupe'];
        $resultat2 = Fonction::getByNoGroup($ligne['NoGroupe']);
        foreach($resultat2 as $ligne2)
        {
          if (isset(${"fonctionG".$ligne2['NoGroupe']."F".$ligne2['NoFonction']}))
          {
            if (${"fonctionG".$ligne2['NoGroupe']."F".$ligne2['NoFonction']}==1)
            {
              $requette3 = "INSERT INTO groupeusersfonction (NoGroupeUsers, NoGroupe, NoFonction) VALUES ('$nogroupeusers', '".$ligne2['NoGroupe']."', '".$ligne2['NoFonction']."')";
            }
            else
            {
              $requette3 = "DELETE FROM groupeusersfonction WHERE NoGroupeUsers = $nogroupeusers AND NoGroupe = ".$ligne2['NoGroupe']." AND NoFonction = ".$ligne2['NoFonction'];
            }
          }
          else
          {
            $requette3 = "DELETE FROM groupeusersfonction WHERE NoGroupeUsers = $nogroupeusers AND NoGroupe = ".$ligne2['NoGroupe']." AND NoFonction = ".$ligne2['NoFonction'];
          }
          Connection::executeRawQuery($requette3);
        }
      }
      getformvisu($nogroupeusers,1);
      getformvisu($nogroupeusers,2);
      getformvisu($nogroupeusers,3);
      getformrech($nogroupeusers,1);
      getformrech($nogroupeusers,2);
      getformrech($nogroupeusers,3);
      getformrech($nogroupeusers,4);
      getformrech($nogroupeusers,6);
      getformrech($nogroupeusers,7);
    break;
  }
?>
